# TODO use custom image from esens/docker
image: maven:latest

variables:
  MAVEN_CLI_OPTS: "--batch-mode -s ci_settings.xml"

cache:
  paths:
    - .m2/repository/
    - target/

stages:
  - docker_local
  - in_docker_tests
  - docker_registry

build_docker_image:
  stage: docker_local
  script:
    #- docker build . -t spotify-api-v1:latest
    - echo ToDo

image_is_up:
  stage: docker_local
  script:
    #- docker exec spotify-api-v1:latest echo I am UP !
    - echo ToDo

run_sanity_tests:
  stage: in_docker_tests
  script:
    #- docker run spotify-api-v1:latest --args sanity=true
    - echo ToDo

run_tests:
  stage: in_docker_tests
  script:
    #- docker run spotify-api-v1:latest
    - echo ToDo

push_stable_image:
  stage: docker_registry
  script:
    - echo ToDo